Skip to content

Lifecycle

All operations require authentication.

6 operationsv1/pack/xdsl
Agent setup

Get whether a pack resiliation can be canceledProduction

GET
/1.0/pack/xdsl/{packName}/canCancelResiliation

Get whether a pack resiliation can be canceled. Returns whether the ongoing resiliation of the xDSL pack can still be canceled.

Path parameters

packName
required
string

The internal name of your pack

Response

200booleansuccessful operation

Example uses packName = string

$ curl https://api.eu.ovhcloud.com/1.0/pack/xdsl/{packName}/canCancelResiliation \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
true

Cancel the resiliation of an xDSL packProduction

POST
/1.0/pack/xdsl/{packName}/cancelResiliation

Cancel the resiliation of an xDSL pack. Cancels the ongoing resiliation of the pack. Check first that it can be canceled with canCancelResiliation.

Path parameters

packName
required
string

The internal name of your pack

Response

200—successful operation

Example uses packName = string

$ curl https://api.eu.ovhcloud.com/1.0/pack/xdsl/{packName}/cancelResiliation \
  -H "authorization: Bearer $OVH_TOKEN"

Resiliate an xDSL packProduction

POST
/1.0/pack/xdsl/{packName}/resiliate

Resiliate an xDSL pack. Requests the resiliation of the pack at the given date with a resiliation survey, keeping the listed services. Returns the resiliation follow-up.

Path parameters

packName
required
string

The internal name of your pack

Request body (required)

resiliationDate
stringdate-time

Effective date of the resiliation

resiliationSurvey
required
ResiliationSurvey

Comment about resiliation reasons

servicesToKeep
number[]

Ids of service you will keep on resiliation. (you can get it with /pack/xdsl/{packName}/subServices)

Response

200ResiliationFollowUpDetailsuccessful operation
dateTodo
stringdate-time

Date when the resiliation will take effect

needModemReturn
boolean

If the customer needs to return his modem

registrationDate
stringdate-time

Date when the resiliation was asked

status
string

Status of the resiliation

Example uses packName = string

$ curl https://api.eu.ovhcloud.com/1.0/pack/xdsl/{packName}/resiliate \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "dateTodo": "2024-01-01T12:00:00Z", "needModemReturn": true, "registrationDate": "2024-01-01T12:00:00Z", "status": "string"}

Get the resiliation follow-up of an xDSL packProduction

GET
/1.0/pack/xdsl/{packName}/resiliationFollowUp

Get the resiliation follow-up of an xDSL pack. Returns the status of the ongoing resiliation of the pack, its effective date and whether the modem must be returned.

Path parameters

packName
required
string

The internal name of your pack

Response

200ResiliationFollowUpDetailsuccessful operation
dateTodo
stringdate-time

Date when the resiliation will take effect

needModemReturn
boolean

If the customer needs to return his modem

registrationDate
stringdate-time

Date when the resiliation was asked

status
string

Status of the resiliation

Example uses packName = string

$ curl https://api.eu.ovhcloud.com/1.0/pack/xdsl/{packName}/resiliationFollowUp \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "dateTodo": "2024-01-01T12:00:00Z", "needModemReturn": true, "registrationDate": "2024-01-01T12:00:00Z", "status": "string"}

Get the resiliation terms of an xDSL packProduction

GET
/1.0/pack/xdsl/{packName}/resiliationTerms

Get the resiliation terms of an xDSL pack. Returns, for a resiliation date, the amount due, the engagement end date, the minimum resiliation date and the resiliation reasons.

Path parameters

packName
required
string

The internal name of your pack

Query parameters

resiliationDate
stringdate-time

The desired resiliation date

Response

200ResiliationTermssuccessful operation
due
Price

Price due at resiliationDate

engageDate
stringdate-time

Date until which the customer is engaged

minResiliationDate
stringdate-time

Minimum date at which the pack can be resiliated

resiliationDate
stringdate-time

Date at which the pack will be resiliated

resiliationReasons
ResiliationReasonEnum[]

List of available resiliation reasons

ValuesaddressMovebillingProblemscessationOfActivitychangeOfTermschangeOperatoreligibilityFtthftthgoToCompetitorotherpricetechnicalProblems

Example uses packName = string

$ curl https://api.eu.ovhcloud.com/1.0/pack/xdsl/{packName}/resiliationTerms \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "due": { "currencyCode": "AUD", "text": "string", "value": 0 }, "engageDate": "2024-01-01T12:00:00Z", "minResiliationDate": "2024-01-01T12:00:00Z", "resiliationDate": "2024-01-01T12:00:00Z", "resiliationReasons": [ "addressMove" ]}

Get the unpack terms of a service of an xDSL packProduction

GET
/1.0/pack/xdsl/{packName}/subServices/{domain}/keepServiceTerms

Get the unpack terms of a service of an xDSL pack. Returns whether the service can be taken out of the pack, the price billed and its renewal price and period.

Path parameters

domain
required
string
—
packName
required
string

The internal name of your pack

Response

200UnpackTermssuccessful operation
isAllowed
boolean

Tells whether or not the service can be unpacked

price
Price

Price bill on the unpack action

renewPeriod
number

Renew period in month of the service

renewPrice
Price

The price it will cost when it will be renew

Example uses domain = string, packName = string

$ curl https://api.eu.ovhcloud.com/1.0/pack/xdsl/{packName}/subServices/{domain}/keepServiceTerms \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "isAllowed": true, "price": { "currencyCode": "AUD", "text": "string", "value": 0 }, "renewPeriod": 0, "renewPrice": { "currencyCode": "AUD", "text": "string", "value": 0 }}